## ugene 1.25.0%2Bdfsg

=== src/corelibs/U2Algorithm/CMakeLists.txt ===
cmake_minimum_required(VERSION 3.4)
project(U2Algorithm)

set(CMAKE_AUTORCC ON)
set(CMAKE_AUTOMOC ON)

find_package(Qt5 REQUIRED Core Gui Widgets)

add_definitions(-DBUILDING_U2ALGORITHM_DLL)

include_directories(src)
include_directories(../../include)
include_directories(../../libs_3rdparty/samtools/src)
include_directories(../../libs_3rdparty/samtools/src/samtools)

file(GLOB_RECURSE SRCS src/*.cpp)
file(GLOB_RECURSE HDRS src/*.h)
qt5_add_resources(RCC_SRCS U2Algorithm.qrc)

add_library(U2Algorithm SHARED ${HDRS} ${SRCS} ${RCC_SRCS})

target_link_libraries(U2Algorithm
        Qt5::Core Qt5::Gui Qt5::Widgets
        samtools
        U2Core)
