=== src/plugins/chroma_view/CMakeLists.txt ===
set(UGENE_PLUGIN_NAME chroma_view)

include(../../Plugin.cmake)
