=== src/plugins/circular_view/CMakeLists.txt ===
set(UGENE_PLUGIN_NAME circular_view)

include(../../Plugin.cmake)
