=== src/plugins/dotplot/CMakeLists.txt ===
set(UGENE_PLUGIN_NAME dotplot)

include(../../Plugin.cmake)
