=== src/plugins/genome_aligner/CMakeLists.txt ===
set(UGENE_PLUGIN_NAME genome_aligner)

include(../../Plugin.cmake)
