=== src/plugins/query_designer/CMakeLists.txt ===
set(UGENE_PLUGIN_NAME query_designer)

include(../../Plugin.cmake)
