## ugene 1.7.1+repack

=== debian/changelog ===
ugene (1.7.1+repack-0ubuntu2) maverick; urgency=low

  * Build depend on libqtwebkit-dev instead of libqt4-webkit-dev since it is
    NBS

 -- Scott Kitterman <scott@kitterman.com>  Fri, 13 Aug 2010 13:05:01 -0400

ugene (1.7.1+repack-0ubuntu1) maverick; urgency=low

  * New upstream release (LP: #606642)
  * Switch to 3.0 (quilt) format
  * Bump standards-version to 3.9.0. No other changes.
  * Add ${misc:Depends} macro to Depends field (W: lintian)
  * Add versioned dependency on debhelper (W: lintian)
  * Casting fix dropped, fixed upstream.

 -- Bhavani Shankar <bhavi@ubuntu.com>  Sat, 17 Jul 2010 19:31:43 +0530

ugene (1.7.0+repack-0ubuntu2) maverick; urgency=low

  * Casting fix for arm; double is not same as qreal. (LP: #600820)

 -- David Sugar <david.sugar@canonical.com>  Thu, 01 Jul 2010 17:08:15 +0000

ugene (1.7.0+repack-0ubuntu1) maverick; urgency=low

  * New upstream release.
  * debian/control:
    - Bump standards-version to 3.8.4. No other changes.
    - Add libqt4-webkit-dev to build-depends.
  * Update debian/copyright.

 -- Andreas Wenning <awen@awen.dk>  Mon, 24 May 2010 15:19:27 +0200

ugene (1.5.2+repack-0ubuntu1) lucid; urgency=low

  * New upstream release LP: #486583
  * Bump standards-version to 3.8.3. No other changes.
  * Update debian/copyright as per Ivan's suggestion.

 -- Bhavani Shankar <right2bhavi@gmail.com>  Sun, 22 Nov 2009 15:20:16 +0530

ugene (1.5.1+repack-0ubuntu1) karmic; urgency=low

  * New upstream release LP: #405922
  * Bump standards-version to 3.8.2. No other changes.

 -- Bhavani Shankar <right2bhavi@gmail.com>  Tue, 28 Jul 2009 22:55:13 +0530

ugene (1.5.0+repack-0ubuntu1) karmic; urgency=low

  * New upstream release
  * Copyright information updated
  * Versions of needed packages are bumped up
    because of some bugs in older versions
  * Closes LP: #397779

 -- Ivan Efremov <iefremov@unipro.ru>  Tue, 07 Jul 2009 16:39:27 +0700

ugene (1.4.2+repack-0ubuntu1) karmic; urgency=low

  * New upstream release

 -- Morten Kjeldgaard <mok0@ubuntu.com>  Tue, 16 Jun 2009 13:20:00 +0200

ugene (1.4.1+repack-0ubuntu1) karmic; urgency=low

  * New upstream release.
  * Bump-up Standards.

 -- Alessio Treglia <quadrispro@ubuntu.com>  Thu, 30 Apr 2009 08:14:03 +0200

ugene (1.3.3+repack-0ubuntu1) jaunty; urgency=low

  [ Bhavani Shankar ]
  * New Upstream version (LP: #326830)
  * Files unneeded for this package were removed from
    the original tarball.

  [ Morten Kjeldgaard ]
  * Fixed debian/watch to mangle local name
  * Fixed get-orig-source rule to name repackaged tarball correctly.
  * Copyright for two files specified.

 -- Bhavani Shankar <right2bhavi@gmail.com>  Sun, 08 Feb 2009 16:32:24 +0530

ugene (1.3.2+repack-0ubuntu1) jaunty; urgency=low

  * Initial packaging (LP: #319917)
  * Files unneeded for this package were removed from
    the original tarball
    	
 -- Ivan Efremov <iefremov@unipro.ru>  Mon, 26 Jan 2009 19:17:51 +0600
