=== debian/rules ===
#!/usr/bin/make -f

export DH_OPTIONS

UPSTREAM_NAME=ugene
UPSTREAM_VERSION=$(shell uscan --dehs | sed -n 's/.*<upstream-version>\(.*\)<\/upstream-version>.*/\1/p')
UPSTREAM_FOLDER=$(UPSTREAM_NAME)-$(UPSTREAM_VERSION)

get-orig-source:
	uscan --force-download --no-symlink
	tar -xzf ../$(UPSTREAM_NAME)-$(UPSTREAM_VERSION).tar.gz 
	rm -rf $(UPSTREAM_FOLDER)/bkm 
	rm -rf $(UPSTREAM_FOLDER)/installer/linux 
	rm -rf $(UPSTREAM_FOLDER)/installer/macosx 
	rm -rf $(UPSTREAM_FOLDER)/installer/windows 
	rm -rf $(UPSTREAM_FOLDER)/src/libs_3rdparty/zlib
	GZIP="-9" tar -czf ../$(UPSTREAM_NAME)_$(UPSTREAM_VERSION)+repack.orig.tar.gz $(UPSTREAM_FOLDER) 
	rm -rf $(UPSTREAM_FOLDER) 


build: build-arch build-indep

build-arch: build-arch-stamp
build-arch-stamp:
	qmake-qt4 -r
	$(MAKE)	
	touch $@

build-indep: build-indep-stamp
build-indep-stamp:
	touch $@

clean: 
	dh_testdir
	dh_testroot
	rm -f build-arch-stamp build-indep-stamp
	[ ! -f Makefile ] || $(MAKE) distclean
	dh_clean

install: install-indep install-arch
install-indep:
	dh_testdir
	dh_testroot
	dh_clean -k -i
	dh_install -i data /usr/share/ugene

install-arch:
	dh_testdir
	dh_testroot
	dh_clean -k -s
	dh_installdirs -s

	$(MAKE) INSTALL_ROOT=$$(pwd)/debian/ugene install
	rm -rf debian/ugene/usr/share/ugene

binary-common:
	dh_testdir
	dh_testroot
	dh_installchangelogs debian/changelog
	dh_installdocs
	dh_strip
	dh_compress
	dh_fixperms
	dh_installdeb
	export LD_LIBRARY_PATH=$$(pwd)/debian/ugene/usr/lib/ugene && dh_shlibdeps
	dh_gencontrol
	dh_md5sums
	dh_builddeb

binary-indep: build-indep install-indep
	$(MAKE) -f debian/rules DH_OPTIONS=-i binary-common

binary-arch: build-arch install-arch
	$(MAKE) -f debian/rules DH_OPTIONS=-s binary-common

binary: binary-arch binary-indep
.PHONY: build clean binary-indep binary-arch binary install install-indep install-arch
