## ugene 1.9.1+repack

=== debian/changelog ===
ugene (1.9.1+repack-0ubuntu1) natty; urgency=low

  * New upstream release
  * Copyright information update
  * Bump version of Qt dependecy due to upstream reasons

 -- Ivan Efremov <iefremov@unipro.ru>  Thu, 10 Feb 2011 18:36:18 +0600

ugene (1.7.2+repack-0ubuntu1) natty; urgency=low

  * New upstream release
  * debian/rules:
    + Delete bkm directory removal rule from get-orig-source as
      its non-existent now
  * Bump standards-version to 3.9.1. No other changes.

 -- Bhavani Shankar <bhavi@ubuntu.com>  Sat, 16 Oct 2010 14:33:07 +0530
