## ugene 1.9.8+repack

=== debian/changelog ===
ugene (1.9.8+repack-0ubuntu4) quantal; urgency=low

  * Fix build failure with GCC 4.7.

 -- Matthias Klose <doko@ubuntu.com>  Tue, 02 Oct 2012 16:52:42 +0200

ugene (1.9.8+repack-0ubuntu3) precise; urgency=low

  * Fix brace mismatch in gles-disable-biostruct3d_view.patch.

 -- Colin Watson <cjwatson@ubuntu.com>  Fri, 20 Apr 2012 19:38:14 +0100

ugene (1.9.8+repack-0ubuntu2) precise; urgency=low

  * Cast floating literals to qreal before passing to qMin/qMax, since qreal
    is a float at least on ARM.
  * Include <GL/glu.h> in a few places (LP: #935476).
  * Disable biostruct3d_view plugin when using GLES.

 -- Colin Watson <cjwatson@ubuntu.com>  Fri, 20 Apr 2012 15:12:23 +0100

ugene (1.9.8+repack-0ubuntu1) precise; urgency=low

  * New upstream release (LP: #820903).
  * Use system sqlite3 instead of bundled copy.
  * Drop dummy packages from Depends.
  * debian/rules: pass build flags from the environment.
  * Don't install Debian changelog twice.
  * Update watch file.
  * Bump Standards-Version to 3.9.2.

 -- Ilya Barygin <randomaction@ubuntu.com>  Thu, 03 Nov 2011 19:05:28 +0400
