=== debian/control ===
--- 
+++ 
@@ -3,13 +3,20 @@
 Priority: optional
 Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
 XSBC-Original-Maintainer: Ivan Efremov <iefremov@unipro.ru> 
-Build-Depends: libqt4-dev (>= 4.7.0), libqtwebkit-dev, libqt4-opengl-dev (>= 4.7.0), zlib1g-dev, debhelper (>=5.0.38)
-Standards-Version: 3.9.1
+Build-Depends: libqt4-dev (>= 4.7.0),
+               libqtwebkit-dev,
+               libqt4-opengl-dev (>= 4.7.0),
+               zlib1g-dev,
+               libsqlite3-dev,
+               debhelper (>= 5.0.38)
+Standards-Version: 3.9.2
 Homepage: http://ugene.unipro.ru
 
 Package: ugene
 Architecture: any
-Depends: ${shlibs:Depends}, libqt4-gui (>=4.7.0), libqt4-core (>=4.7.0), ugene-data, ${misc:Depends}
+Depends: ${shlibs:Depends}, 
+         ${misc:Depends},
+         ugene-data
 Description: integrated bioinformatics toolkit
  Unipro UGENE is a cross-platform visual environment for DNA and protein 
  sequence analysis. UGENE integrates the most important bioinformatics
