=== debian/rules ===
--- 
+++ 
@@ -8,12 +8,12 @@
 
 get-orig-source:
 	uscan --force-download --no-symlink
-	tar -xzf ../$(UPSTREAM_NAME)-$(UPSTREAM_VERSION).tar.gz 
-	rm -rf $(UPSTREAM_FOLDER)/bkm 
+	tar -xzf ../$(UPSTREAM_NAME)-$(UPSTREAM_VERSION).tar.gz  
 	rm -rf $(UPSTREAM_FOLDER)/installer/linux 
 	rm -rf $(UPSTREAM_FOLDER)/installer/macosx 
 	rm -rf $(UPSTREAM_FOLDER)/installer/windows 
 	rm -rf $(UPSTREAM_FOLDER)/src/libs_3rdparty/zlib
+	rm -rf $(UPSTREAM_FOLDER)/src/libs_3rdparty/sqlite3
 	GZIP="-9" tar -czf ../$(UPSTREAM_NAME)_$(UPSTREAM_VERSION)+repack.orig.tar.gz $(UPSTREAM_FOLDER) 
 	rm -rf $(UPSTREAM_FOLDER) 
 
@@ -22,7 +22,7 @@
 
 build-arch: build-arch-stamp
 build-arch-stamp:
-	qmake-qt4 -r
+	qmake-qt4 -r "QMAKE_CXXFLAGS=$(CPPFLAGS) $(CXXFLAGS)" "QMAKE_LFLAGS=$(LDFLAGS)"
 	$(MAKE)	
 	touch $@
 
@@ -41,14 +41,14 @@
 install-indep:
 	dh_testdir
 	dh_testroot
-	dh_clean -k -i
-	dh_install -i data /usr/share/ugene
+	dh_prep -i
+	dh_install -i -Xdata/license data /usr/share/ugene
 
 install-arch:
 	dh_testdir
 	dh_testroot
-	dh_clean -k -s
-	dh_installdirs -s
+	dh_prep -a
+	dh_installdirs -a
 
 	$(MAKE) INSTALL_ROOT=$$(pwd)/debian/ugene install
 	rm -rf debian/ugene/usr/share/ugene
@@ -56,13 +56,13 @@
 binary-common:
 	dh_testdir
 	dh_testroot
-	dh_installchangelogs debian/changelog
+	dh_installchangelogs
 	dh_installdocs
 	dh_strip
 	dh_compress
 	dh_fixperms
 	dh_installdeb
-	export LD_LIBRARY_PATH=$$(pwd)/debian/ugene/usr/lib/ugene && dh_shlibdeps
+	export LD_LIBRARY_PATH=$$(pwd)/debian/ugene/usr/lib/ugene:$$(pwd)/debian/ugene/usr/lib64/ugene && dh_shlibdeps
 	dh_gencontrol
 	dh_md5sums
 	dh_builddeb
