## ugene 1.12.3+dfsg

=== debian/changelog ===
ugene (1.12.3+dfsg-1) unstable; urgency=low

  [ Andreas Tille ]
  * New upstream version
    Closes: #693655, #675298
  * debian/control
    - cme fix dpkg-control
    - Build-Depends: libxtst-dev
    - Moved to non-free (and reported the issue upstream as
       https://ugene.unipro.ru/tracker/browse/UGENE-1310
      Closes: #694044
  * debhelper 9 (control+compat)
  * debian/rules: Rewritten to use short dh
  [ Olivier Sallou ]
  * debian/rules, debian/patches: Add hardening flags for compilation

 -- Andreas Tille <tille@debian.org>  Mon, 18 Nov 2013 17:29:54 +0100

ugene (1.9.8+repack-1) experimental; urgency=low

  * First release to Debian
    - added README.Debian
    - increased policy version to 3.9.2
    - added URLs for version control system
  * Added debug package.

 -- Steffen Moeller <moeller@debian.org>  Wed, 02 Nov 2011 13:29:07 +0100

ugene (1.9.8+repack-0ubuntu1~oneiric) oneiric; urgency=low

  * Latest release oneiric build

 -- Ivan Novikov <inovikov@unipro.ru>  Thu, 27 Oct 2011 15:33:13 +0700

ugene (1.9.8+repack-0ubuntu1~natty) natty; urgency=low

  * New upstream release

 -- Ivan Novikov <inovikov@unipro.ru>  Thu, 27 Oct 2011 12:25:50 +0700

ugene (1.9.5+repack-0ubuntu1~natty) natty; urgency=low

  * New upstream release

 -- Alexey Kuznecov <akuznecov@unipro.ru>  Wed, 03 Aug 2011 20:20:50 +0700

ugene (1.9.4+repack-0ubuntu1~maverick) maverick; urgency=low

  * Latest release maverick build
 
 -- Alexey Kuznecov <akuznecov@unipro.ru>  Thu, 14 Jul 2011 21:15:23 +0700

ugene (1.9.4+repack-0ubuntu1~natty) natty; urgency=low

  * New upstream release
  * Copyright information updated

 -- Alexey Kuznecov <akuznecov@unipro.ru>  Thu, 14 Jul 2011 21:07:52 +0700

ugene (1.9.3+repack-0ubuntu1~maverick) maverick; urgency=low

  * Latest release maverick build

 -- Konstantin Okonechnikov <k.okonechnikov@gmail.com>  Wed, 15 Jun 2011 10:42:00 +0700

ugene (1.9.2+repack-0ubuntu1~maverick) maverick; urgency=low

  * Latest release maverick build

 -- Konstantin Okonechnikov <k.okonechnikov@gmail.com>  Tue, 29 Mar 2011 11:25:00 +0700

ugene (1.9.1+repack-0ubuntu3) maverick; urgency=low

  * Latest release maverick build, new build attempt

 -- Konstantin Okonechnikov <k.okonechnikov@gmail.com>  Thu, 10 Feb 2011 10:37:17 +0700

ugene (1.9.1+repack-0ubuntu2) maverick; urgency=low

  * Latest release maverick build, new build attempt

 -- Konstantin Okonechnikov <k.okonechnikov@gmail.com>  Wed, 09 Feb 2011 13:55:17 +0700

ugene (1.9.1+repack-0ubuntu1) maverick; urgency=low

  * Latest release maverick build

 -- Konstantin Okonechnikov <k.okonechnikov@gmail.com>  Wed, 09 Feb 2011 12:55:17 +0700

ugene (1.7.2+repack-0ubuntu1) lucid; urgency=low

  * Latest release lucid build
  * Merging with changes from official Ubuntu package

 -- Konstantin Okonechnikov <k.okonechnikov@gmail.com>  Mon, 23 Aug 2010 16:55:17 +0700

ugene (1.6.2+repack-0ubuntu2) lucid; urgency=low

  * Latest release lucid build
 -- Konstantin Okonechnikov <k.okonechnikov@gmail.com>  Wed, 12 May 2010 12:58:00 +0700

ugene (1.6.2+repack-0ubuntu1~ppa1~karmic1) karmic; urgency=low

  * New upstream release
  * Copyright information updated

 -- Konstantin Okonechnikov <k.okonechnikov@gmail.com>  Tue, 7 Apr 2009 00:15:00 +0600

ugene (1.5.2+repack-0ubuntu1) karmic; urgency=low

  * New upstream release
  * Copyright information updated

 -- Ivan Efremov <iefremov@unipro.ru>  Mon, 06 Jul 2009 12:58:00 +0700
