=== debian/control ===
--- 
+++ 
@@ -1,22 +1,33 @@
 Source: ugene
-Section: science
+Maintainer: Debian Med Packaging Team <debian-med-packaging@lists.alioth.debian.org>
+Uploaders: Ivan Efremov <iefremov@unipro.ru>,
+           Steffen Moeller <moeller@debian.org>,
+           Andreas Tille <tille@debian.org>,
+           Olivier Sallou <osallou@debian.org>
+Section: non-free/science
+XS-Autobuild: yes
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Ivan Efremov <iefremov@unipro.ru> 
-Build-Depends: libqt4-dev (>= 4.7.0),
+Build-Depends: libqt4-dev,
                libqtwebkit-dev,
-               libqt4-opengl-dev (>= 4.7.0),
+               libqt4-opengl-dev,
                zlib1g-dev,
+               debhelper (>= 9),
+               libxtst-dev,
                libsqlite3-dev,
-               debhelper (>= 5.0.38)
-Standards-Version: 3.9.2
+               libprocps1-dev|libprocps-dev,
+               hardening-includes 
+Standards-Version: 3.9.4
+Vcs-Browser: http://anonscm.debian.org/viewvc/debian-med/trunk/packages/ugene/trunk/
+Vcs-Svn: svn://anonscm.debian.org/debian-med/trunk/packages/ugene/trunk/
 Homepage: http://ugene.unipro.ru
 
 Package: ugene
 Architecture: any
-Depends: ${shlibs:Depends}, 
-         ${misc:Depends},
-         ugene-data
+Depends: ${shlibs:Depends},
+         libqt4-gui,
+         libqt4-core,
+         ugene-data,
+         ${misc:Depends}
 Description: integrated bioinformatics toolkit
  Unipro UGENE is a cross-platform visual environment for DNA and protein 
  sequence analysis. UGENE integrates the most important bioinformatics
