=== debian/watch ===
version=3
opts=dversionmangle=s/\+(repack|dfsg)// \
http://ugene.unipro.ru/downloads/ugene_get_latest_source.html \
  .*/ugene-([\d.]+)\.tar\.gz
