## ugene 1.25.0%2Bdfsg

=== debian/changelog ===
ugene (1.25.0+dfsg-1) unstable; urgency=medium

  * New upstream version
    Closes: #846557
  * debhelper 10
  * d/watch: version=4

 -- Andreas Tille <tille@debian.org>  Tue, 13 Dec 2016 14:15:10 +0100

ugene (1.24.2+dfsg-1) unstable; urgency=medium

  * Team upload.
  * New upstream release.
  * Fix building with GCC 6.
    - Force empty QMAKE_CXXFLAGS_ISYSTEM as suggested in
      https://github.com/ugeneunipro/ugene/issues/13.
    Closes: #834252

 -- Sascha Steinbiss <satta@debian.org>  Sat, 17 Sep 2016 16:22:33 +0000

ugene (1.23.1+dfsg-1) unstable; urgency=medium

  * Team upload.
  * New upstream release.
  * Upload to allow rebuilding against libprocps6.
    Closes: #831374
  * Rename fixperms target to fix binary-arch-only FTBFS.
    Closes: #831326
  * Bump Standards-Version.
  * Use secure Vcs-Git.
  * Enable full hardening.

 -- Sascha Steinbiss <satta@debian.org>  Wed, 27 Jul 2016 21:57:26 +0000

ugene (1.21.0+dfsg-1) unstable; urgency=medium

  * New upstream version
    Closes: #810360
  * Use xz compression in d/watch

 -- Andreas Tille <tille@debian.org>  Mon, 14 Mar 2016 19:19:42 +0100

ugene (1.20.0+dfsg-1) unstable; urgency=medium

  * New upstream version
  * Build-Depends: libprocps-dev (instead of libprocps4-dev)
    Closes: #810360
  * add repacksuffix to d/watch

 -- Andreas Tille <tille@debian.org>  Fri, 08 Jan 2016 19:35:14 +0100

ugene (1.19.0+dfsg-1) unstable; urgency=medium

  [Andreas Tille]
  * New upstream version
    Closes: #785035, #784534
  * Remove non necessary harcoded dependencies on transitional
    packages (Thanks to Lisandro Damián Nicanor Pérez Meyer for the
    patch)
    Closes: #784382
  * Moved packaging from SVN to Git
  * cme fix dpkg-control
  * override false lintian positives (package-contains-timestamped-gzip)
  * DEP5 fixes

  [Gert Wollny]
  * Update to build with QT5 (thanks to Gianfranco Costamagna for the initial 
    transition and pointing out some quirks)
  * update d/p/use_system_sqlite.patch

 -- Andreas Tille <tille@debian.org>  Sun, 13 Dec 2015 21:05:12 +0100
