=== src/plugins/CoreTests/CMakeLists.txt ===
set(UGENE_PLUGIN_NAME CoreTests)

set(CMAKE_AUTOMOC_MOC_OPTIONS -nn) # do not display notes.

include(../../Plugin.cmake)
