=== src/plugins/api_tests/CMakeLists.txt ===
set(UGENE_PLUGIN_NAME api_tests)

include_directories(../../libs_3rdparty/samtools/src)
include_directories(../../libs_3rdparty/samtools/src/samtools)

include(../../Plugin.cmake)
