=== src/plugins/browser_support/CMakeLists.txt ===
set(UGENE_PLUGIN_NAME browser_support)

include(../../Plugin.cmake)
