=== src/plugins/dna_export/CMakeLists.txt ===
set(UGENE_PLUGIN_NAME dna_export)

include(../../Plugin.cmake)
