=== src/plugins/dna_graphpack/CMakeLists.txt ===
set(UGENE_PLUGIN_NAME dna_graphpack)

include(../../Plugin.cmake)
