=== src/plugins/dna_stat/CMakeLists.txt ===
set(UGENE_PLUGIN_NAME dna_stat)

include(../../Plugin.cmake)
