=== debian/control ===
--- 
+++ 
@@ -7,25 +7,27 @@
 Section: non-free/science
 XS-Autobuild: yes
 Priority: optional
-Build-Depends: libqt4-dev,
-               libqtwebkit-dev,
-               libqt4-opengl-dev,
+Build-Depends: qtbase5-dev,
+               libqt5webkit5-dev,
+               libqt5opengl5-dev,
+               libqt5svg5-dev, 
+               qtscript5-dev,
+               qt5-qmake,
+               qtchooser,
                zlib1g-dev,
-               debhelper (>= 9),
+               debhelper (>= 10),
                libxtst-dev,
                libsqlite3-dev,
-               libprocps1-dev|libprocps-dev,
-               hardening-includes 
-Standards-Version: 3.9.4
-Vcs-Browser: http://anonscm.debian.org/viewvc/debian-med/trunk/packages/ugene/trunk/
-Vcs-Svn: svn://anonscm.debian.org/debian-med/trunk/packages/ugene/trunk/
+               libprocps-dev
+Build-Conflicts: libqt4-dev, qt4-qmake
+Standards-Version: 3.9.8
+Vcs-Browser: https://anonscm.debian.org/cgit/debian-med/ugene.git
+Vcs-Git: https://anonscm.debian.org/git/debian-med/ugene.git
 Homepage: http://ugene.unipro.ru
 
 Package: ugene
 Architecture: any
 Depends: ${shlibs:Depends},
-         libqt4-gui,
-         libqt4-core,
          ugene-data,
          ${misc:Depends}
 Description: integrated bioinformatics toolkit
