=== debian/rules ===
#!/usr/bin/make -f

export DH_OPTIONS

CPPFLAGS=$(shell dpkg-buildflags --get CPPFLAGS)
CFLAGS=$(shell dpkg-buildflags --get CFLAGS) $(CPPFLAGS)
CXXFLAGS=$(shell dpkg-buildflags --get CXXFLAGS) $(CPPFLAGS)
LDFLAGS=$(shell dpkg-buildflags --get LDFLAGS)

export QT_SELECT=qt5

UPSTREAM_NAME=ugene
pkg := $(shell dpkg-parsechangelog | sed -n 's/^Source: //p')

export DEB_BUILD_MAINT_OPTIONS = hardening=+all

#.PHONY: override_dh_strip
#override_dh_strip:
#	dh_strip --dbg-package=ugene-dbg

%:
	dh $@

override_dh_auto_configure:
	# exclude non-free plugins
	dh_auto_configure -- QMAKE_CFLAGS_ISYSTEM= QMAKE_CXXFLAGS_ISYSTEM= UGENE_WITHOUT_NON_FREE=1 UGENE_LRELEASE=lrelease-qt5 UGENE_LUPDATE=lupdate-qt5

	find . -name Makefile.* | xargs -r sed -i '/STRIP/d'

#override_dh_auto_build:
#	$(MAKE)

override_dh_auto_clean:
	dh_auto_clean
	rm -rf src/_debug src/_release ugene

override_dh_auto_install:
	dh_auto_install
	# This should be default:
	# $(MAKE) INSTALL_ROOT=$$(pwd)/debian/$(pkg) install
	# Remove data dir which goes to ugene-data package
	rm -rf debian/$(pkg)/usr/share/$(pkg)

override_dh_fixperms-indep:
	dh_fixperms
	rmdir debian/ugene-data/usr/share/ugene/data/manuals/ || true # remove dir if empty
	chmod -x debian/ugene-data/usr/share/ugene/data/genome_lengths/*.genome
	rm -f debian/ugene-data/usr/share/ugene/data/license

override_dh_shlibdeps:
	dh_shlibdeps -l$(CURDIR)/debian/$(pkg)/usr/lib/$(pkg)/
