=== debian/watch ===
version=4
opts="repacksuffix=+dfsg,dversionmangle=s/\+(repack|dfsg)//,repack,compression=xz" \
http://ugene.unipro.ru/downloads/ugene_get_latest_source.html \
  .*/ugene-([\d.]+)\.tar\.gz
