=== src/plugins/wevote_support/CMakeLists.txt ===
set(UGENE_PLUGIN_NAME wevote_support)

include(../../Plugin.cmake)
