=== src/plugins_3rdparty/ptools/CMakeLists.txt ===
set(UGENE_PLUGIN_NAME ptools)

include(../../Plugin.cmake)
