=== debian/changelog ===
ugene (1.31.1+dfsg-1) unstable; urgency=medium

  [ Steffen Moeller ]
  * debian/upstream/metadata:
    - Added references to registries
    - yamllint cleanliness

  [ Andreas Tille ]
  * New upstream version
    Closes: #868885, #887305
  * Standards-Version: 4.3.0
  * Cleanup d/watch
  * More Files-Excluded
  * debhelper 12
  * Point Vcs fields to salsa.debian.org
  * Drop unused lintian-overrides

 -- Andreas Tille <tille@debian.org>  Thu, 31 Jan 2019 21:26:13 +0100
