=== debian/control ===
--- 
+++ 
@@ -10,19 +10,21 @@
 Build-Depends: qtbase5-dev,
                libqt5webkit5-dev,
                libqt5opengl5-dev,
-               libqt5svg5-dev, 
+               libqt5svg5-dev,
                qtscript5-dev,
                qt5-qmake,
                qtchooser,
+               qttools5-dev,
                zlib1g-dev,
-               debhelper (>= 10),
+               debhelper (>= 12~),
                libxtst-dev,
                libsqlite3-dev,
                libprocps-dev
-Build-Conflicts: libqt4-dev, qt4-qmake
-Standards-Version: 3.9.8
-Vcs-Browser: https://anonscm.debian.org/cgit/debian-med/ugene.git
-Vcs-Git: https://anonscm.debian.org/git/debian-med/ugene.git
+Build-Conflicts: libqt4-dev,
+                 qt4-qmake
+Standards-Version: 4.3.0
+Vcs-Browser: https://salsa.debian.org/med-team/ugene
+Vcs-Git: https://salsa.debian.org/med-team/ugene.git
 Homepage: http://ugene.unipro.ru
 
 Package: ugene
