=== debian/watch ===
version=4

opts="repacksuffix=+dfsg,dversionmangle=s/\+(repack|dfsg)//,repack,compression=xz" \
   https://github.com/ugeneunipro/ugene/releases .*/archive/v?@ANY_VERSION@@ARCHIVE_EXT@
