=== src/plugins/annotator/CMakeLists.txt ===
set(UGENE_PLUGIN_NAME annotator)

include(../../Plugin.cmake)
