=== src/plugins/ngs_reads_classification/CMakeLists.txt ===
set(UGENE_PLUGIN_NAME ngs_reads_classification)

include(../../Plugin.cmake)
