=== src/plugins/repeat_finder/CMakeLists.txt ===
set(UGENE_PLUGIN_NAME repeat_finder)

include(../../Plugin.cmake)
