## ugene 1.31.1.1+dfsg+rb2

=== src/corelibs/U2Core/CMakeLists.txt ===
--- 
+++ 
@@ -20,6 +20,5 @@
 add_library(U2Core SHARED ${HDRS} ${SRCS})
 
 target_link_libraries(U2Core
-        proc
         Qt5::Core Qt5::Gui Qt5::Widgets Qt5::Network Qt5::Script Qt5::Xml
         ugenedb zlib)
