=== src/plugins/clark_support/CMakeLists.txt ===
set(UGENE_PLUGIN_NAME clark_support)

include(../../Plugin.cmake)
