=== src/plugins/dbi_bam/CMakeLists.txt ===
set(UGENE_PLUGIN_NAME dbi_bam)

include_directories(../../libs_3rdparty/samtools/src)
include_directories(../../libs_3rdparty/samtools/src/samtools)

include(../../Plugin.cmake)
