=== src/plugins/diamond_support/CMakeLists.txt ===
set(UGENE_PLUGIN_NAME diamond_support)

include(../../Plugin.cmake)
