=== src/plugins/dna_flexibility/CMakeLists.txt ===
set(UGENE_PLUGIN_NAME dna_flexibility)

include(../../Plugin.cmake)
