=== src/plugins/enzymes/CMakeLists.txt ===
set(UGENE_PLUGIN_NAME enzymes)

include(../../Plugin.cmake)
