=== src/plugins/kraken_support/CMakeLists.txt ===
set(UGENE_PLUGIN_NAME kraken_support)

include(../../Plugin.cmake)
