=== src/plugins/smith_waterman/CMakeLists.txt ===
set(UGENE_PLUGIN_NAME smith_waterman)

add_definitions(-DSW2_BUILD_WITH_SSE2)

include(../../Plugin.cmake)
