=== src/plugins/workflow_designer/CMakeLists.txt ===
set(UGENE_PLUGIN_NAME workflow_designer)

include(../../Plugin.cmake)
