=== debian/changelog ===
ugene (1.31.1.1+dfsg+rb2-1+eagle) unstable; urgency=medium

  * update

 -- Debian Med Packaging Team <debian-med-packaging@lists.alioth.debian.org>  Mon, 01 Feb 2021 16:29:48 +0800
