=== debian/rules ===
--- 
+++ 
@@ -38,7 +38,7 @@
 	rm -f debian/ugene-data/usr/share/ugene/data/license
 
 override_dh_shlibdeps:
-	dh_shlibdeps -l$(CURDIR)/debian/$(DEB_SOURCE)/usr/lib/$(DEB_SOURCE)/:/build/ugene-1.31.1+dfsg/debian/$(DEB_SOURCE)/usr/lib/$(DEB_SOURCE)/plugins/
+	dh_shlibdeps -l$(CURDIR)/debian/tmp/usr/lib/ugene/plugins/:$(CURDIR)/debian/tmp/usr/lib/ugene:$(CURDIR)/debian/$(DEB_SOURCE)/usr/lib/$(DEB_SOURCE)/
 
 override_dh_dwz:
 	echo "Do not run dh_dwz since it just results in:"
